class C {}
class X {
	Integer f;
	X (Integer n) {
		this.f = n;
	}
	void m() {
		this.f = new Integer(3);
	}
	static public void main(String[] args) /*throws Exception*/ {
		X x = null;
		X y = null;
		for (int i = 0; i < 2; i ++) {
			y = x;
			// here, x and y point to the most recent.
			x = new X(1);
			// here, x points to the most recent, y does not.
			X z = y;
			x.m();
		}
		
	}
}